/** 	Kaaviopakkaus
	versio 1.0
	23.3.1998
    	
    	

*/
package kaavio;
import datanhallinta.*;
import laskenta.*;

/** Luokka AutokorrelaationTulostus hoitaa autokorrelaation kuvaajan tulostuksen.
*/

public class AutokorrelaationTulostus
{
	/**kt:ta kytetn tulostuksen tallettamiseen*/
	public Kohdetiedosto kt;
	
	
	public AutokorrelaationTulostus(String tdstoNimi, boolean kaavio, 
			Autokorrelaatiolaskenta laskenta, String
			muuttujannimi)
	{
	try
		{
			String otsake;
			kt = new Kohdetiedosto(tdstoNimi);		
			otsake = teeOtsake(kaavio, muuttujannimi);
			kt.kirjoitaRivi(otsake);
			int apu = laskenta.annaSyvyys();
			if (kaavio)
			{						
				for(int i=1;i<=apu;i++)
				{
					kt.kirjoitaArvo(i);
					kt.kirjoitaMerkki(' ');
					kt.kirjoitaArvo(laskenta.annaAutokorrelaatio(i));
					kt.kirjoitaRivi("");
				}
			}
			else
			{
				kt.kirjoitaArvo(laskenta.annaKeskiarvo());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaMin());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaMax());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaVarianssi());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaKeskihajonta());
				kt.kirjoitaRivi("");
			
			}
			kt.sulje();
		}catch(Exception e){/*Virhe IOssa!!!*/};
	}
			

/**teeOtsake palauttaa otsakkeen tulostiedostoa varten*/

	private String teeOtsake(boolean kaavio, String muuttuja)
	{
		if (kaavio)
		{
		return "#<header>\n#<attributes>autocorrelation_lag "+
			muuttuja+"_autocorrelation"+"</attributes>\n#</header>";
		}
		else
		{
		return "#<header>\n#<attributes>"+muuttuja+"_mean "+muuttuja+"_min "+
			muuttuja+"_max "+muuttuja+"_var "+muuttuja+"_stddev"+
				"</attributes>\n#</header>";
		
		//eli ka,min,max,varianssi ja hajonta
		}
			
	}

	
}
