package laskenta;

/**Apuluokka parametrin summan, nelisumman sek pienimmn ja suurimman arvon
*laskemiseen*/
class Parametrisummain
{
	protected Parametrisummain()
	{
		pienin = suurin = Float.NaN;
		summa = 0;
		neliosumma = 0;
	}

	protected void uusiArvo(float x)
	{
		summa += x;
		neliosumma += ((double)x) * (double)x;
		if (Float.isNaN(pienin)) pienin = suurin = x; 
		else if (x < pienin) pienin = x;
			else if (x > suurin) suurin = x;
	}
	
	protected float annaPienin() { return pienin; }
	protected float annaSuurin() { return suurin; }
	protected float annaSumma() { return summa; }
	protected double annaNeliosumma() { return neliosumma; }

	private float pienin, suurin, summa;
	private double neliosumma;
}

