/** 	Kaaviopakkaus
	versio 1.0
	23.3.1998
    	
    	

*/

package kaavio;
import datanhallinta.*;
import laskenta.*;

/** Aliluokka KaksimuuttujaaTulostus hoitaa kahden muuttujan seurannan 
tulostuksen.
*/

public class KaksimuuttujaaTulostus
{
	/**kt:ta kytetn tulostuksen tallettamiseen*/
	public Kohdetiedosto kt;
	
	public KaksimuuttujaaTulostus(String tdstoNimi, boolean kaavio,
		  Yhteisjakaumalaskenta laskenta, String muuttujaX, String
		  muuttujaY) 
	{	
		try
		{
			String otsake;
			kt = new Kohdetiedosto(tdstoNimi);
			otsake = teeOtsake(kaavio, muuttujaX, muuttujaY);
			kt.kirjoitaRivi(otsake);
			int apu=laskenta.rivejaKaytetty();
			if (kaavio)
			{	
				laskenta.asetaRiviosoitin(-1);
				for(int i=0;i<apu;i++)
				{
					laskenta.siirraRiviosoitinta();
					kt.kirjoitaArvo(laskenta.annaX());
					kt.kirjoitaMerkki(' ');
					kt.kirjoitaArvo(laskenta.annaY());
					kt.kirjoitaRivi("");
				}
			}
			else
			{
				kt.kirjoitaArvo(laskenta.annaXKeskiarvo());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaXMin());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaXMax());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaXVarianssi());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaXKeskihajonta());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaYKeskiarvo());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaYMin());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaYMax());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaYVarianssi());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaYKeskihajonta());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaKorrelaatio());
				kt.kirjoitaRivi("");
			}
			kt.sulje();
		}catch(Exception e){/*Virhe IOssa*/};
	}

/**teeOtsake palauttaa otsakkeen tulostiedostoa varten*/

	private String teeOtsake(boolean kaavio, String muuttujaX, String
				muuttujaY)
	{
		if (kaavio)
		{
		return "#<header>\n#<attributes>"+muuttujaX+" "+muuttujaY+"</attributes>\n#</header>";
		}
		else
		{
		return "#<header>\n#<attributes>"+muuttujaX+"_mean "+muuttujaX+"_min "+
			muuttujaX+"_max "+muuttujaX+"_var "+muuttujaX+"_stddev "+
			muuttujaY+"_mean "+muuttujaY+"_min "+
			muuttujaY+"_max "+muuttujaY+"_var "+muuttujaY+"_stddev "+
				"correlation</attributes>\n#</header>";
		
		//eli ka,min,max,varianssi ja hajonta molemmille, sek
		//korrelaatio.
		}
	}
}
