/** 	Kaaviopakkaus
	versio 1.0
	23.3.1998
    	
    	

*/

package kaavio;
import java.awt.*;
import laskenta.*;

/** PaloittainvakionPiirto sislt paloittain vakioiden funktioiden kuvaamiseen
tarvittavat metodit. Se on Piirto-luokan aliluokka.
*/

public class PaloittainvakionPiirto extends Piirto 
{
	/** Konstruktori ottaa parametrina graphics olion, joka osoittaa valmiiksi
		kanvaasille */
	public PaloittainvakionPiirto(Graphics graphics, Funktiolaskenta laskenta) 
	{
		this.g=graphics;
		leveys=544;
		korkeus=266;
		alarajaX=0;
		alarajaY=0;
		ylarajaX=1;
		ylarajaY=1;
		this.laskenta=laskenta;
	}	
	/** Katso Piirto -luokasta */
	public void piirraUudelleen(int riveja, boolean lasketaan) 
	{
		float skaalausX, skaalausY;
		int x,y,uusiX,uusiY;		
		
		dhRiveja=riveja;
		if (lasketaan) 
		{
	/* asetetaan y-jaoksi pikselien lukumr y-suunnassa */  
			laskenta.asetaYJako(korkeus-alaTila-ylaTila,alarajaY,ylarajaY);
			laskenta.laskeUudelleen(riveja);
			pisteet=laskenta.annaLkm();
			alaMaaritys=laskenta.annaMaarAlaraja();
			ylaMaaritys=laskenta.annaMaarYlaraja();
		}
		if (automX&&lasketaan) 
		{
			alarajaX=alaMaaritys;
			ylarajaX=ylaMaaritys;
		}
			
			
		if(automY&&lasketaan)
		{
			if (kvantiilit)
			{
				if (laskenta.annaPieninKvantiili()<laskenta.annaPieninKa())
				alarajaY=laskenta.annaPieninKvantiili()- 0.05f*
					(laskenta.annaSuurinKvantiili()-laskenta.annaPieninKvantiili());
				else
				alarajaY=laskenta.annaPieninKa()- 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				if (laskenta.annaSuurinKvantiili()>laskenta.annaSuurinKa())
					ylarajaY=laskenta.annaSuurinKvantiili()+ 0.05f*
					(laskenta.annaSuurinKvantiili()-laskenta.annaPieninKvantiili());
				else
					ylarajaY=laskenta.annaSuurinKa()+ 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				alarajaY=pyoristaFloat(alarajaY,5);
				ylarajaY=pyoristaFloat(ylarajaY,5);
				if (alarajaY==ylarajaY)
				{
					alarajaY-=1;
					ylarajaY+=1;
				}			

			} else
			{
				alarajaY=laskenta.annaPieninKa()- 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				ylarajaY=laskenta.annaSuurinKa()+ 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				alarajaY=pyoristaFloat(alarajaY,5);
				ylarajaY=pyoristaFloat(ylarajaY,5);
				if (alarajaY==ylarajaY)
				{
					alarajaY-=1;
					ylarajaY+=1;
				}			

			}
		/* asetetaan y-jako uudelleen, muutetuilla rajoilla */
			laskenta.asetaYJako(korkeus-alaTila-ylaTila,alarajaY,ylarajaY);
			laskenta.laskeUudelleen(dhRiveja);
		}
		piirraAkselit();
		
		if (!paloina) /* piirretn funktio */
		{
			skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
			skaalausY=skaalaa(alarajaY, ylarajaY,
				laskenta.annaKeskiarvo(0));
			x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
			y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));	

			for (int i=1;i<pisteet; i++)
			{
				skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
				skaalausY=skaalaa(alarajaY, ylarajaY, laskenta.annaKeskiarvo(i));
				uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
				piirraViiva(x,y,uusiX,uusiY,Color.black);
				x=uusiX;
				y=uusiY;
			}
			if (kvantiilit)
			{
				skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
				skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
							laskenta.annaTarkkaYlakvantiili(0):
							laskenta.annaYlakvantiili(0)));
				x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		
				

				for (int i=1;i<pisteet; i++)
				{
					skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
					skaalausY=skaalaa(alarajaY, ylarajaY, (tarkat?
							laskenta.annaTarkkaYlakvantiili(i):
							laskenta.annaYlakvantiili(i)));
					uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
					uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
					piirraViiva(x,y,uusiX,uusiY,Color.blue);
					x=uusiX;
					y=uusiY;
				}
				if (alaKvantiili!=ylaKvantiili)
				{
					skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
					skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
						laskenta.annaTarkkaAlakvantiili(0):
						laskenta.annaAlakvantiili(0)));
					x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
					y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		
						

					for (int i=1;i<pisteet; i++)
					{
						skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
						skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
							laskenta.annaTarkkaAlakvantiili(i):
							laskenta.annaAlakvantiili(i)));
						uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
						uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
						piirraViiva(x,y,uusiX,uusiY,Color.blue);
						x=uusiX;
						y=uusiY;
					}
				}
			}
		}
		
		else // piirretn paloina
		{
			palojenLkm=laskenta.annaPalaLkm();
			for (int i=0;i<palojenLkm;i++)
			{
				if (i==0) skaalausX=skaalaa(alarajaX, ylarajaX,alaMaaritys);
				else skaalausX=skaalaa(alarajaX, ylarajaX, 
					laskenta.annaMuutoskohdanKa(i-1));
				skaalausY=skaalaa(alarajaY, ylarajaY,
					laskenta.annaPalanKa(i));
				x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		

				if (i==palojenLkm-1) skaalausX=skaalaa(alarajaX, ylarajaX,ylaMaaritys);
				else skaalausX=skaalaa(alarajaX, ylarajaX, 
					laskenta.annaMuutoskohdanKa(i));
				uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
			
				piirraViiva(x,y,uusiX,y,Color.black);
			}
		}
										
	}

	/** Katso Piirto -luokasta */
	public void piirraLisaykset(int lkm) 
	{
		float skaalausX, skaalausY;
		int x,y,uusiX,uusiY;
		float maximi, minimi;  /* Piirrettvien arvojen minimi ja maximi,
		tarkistuksia pysyyk kuva ruudulla varten */
		
		dhRiveja+=lkm;
		if (kvantiilit)	// asetetaan ruudulla olevat minimi ja maximi y arvot
		{
			maximi=laskenta.annaSuurinKvantiili();
			minimi=laskenta.annaPieninKvantiili();
			if (laskenta.annaSuurinKa()>maximi)	maximi=laskenta.annaSuurinKa();
			if (laskenta.annaPieninKa()<minimi)	minimi=laskenta.annaPieninKa();

		} else 
		{
			maximi=laskenta.annaSuurinKa();
			minimi=laskenta.annaPieninKa();
			
		}
		
		laskenta.laskeLisays(lkm);
		
		if (automY&&(alarajaY>minimi||ylarajaY<maximi))	
		/* Jos tarkistetaan automaattisesti ja kuva ulkona ruudulta */ 
		{		
			if (kvantiilit)
			{
				if (laskenta.annaPieninKvantiili()<laskenta.annaPieninKa())
				alarajaY=laskenta.annaPieninKvantiili()- 0.05f*
					(laskenta.annaSuurinKvantiili()-laskenta.annaPieninKvantiili());
				else
				alarajaY=laskenta.annaPieninKa()- 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				if (laskenta.annaSuurinKvantiili()>laskenta.annaSuurinKa())
					ylarajaY=laskenta.annaSuurinKvantiili()+ 0.05f*
					(laskenta.annaSuurinKvantiili()-laskenta.annaPieninKvantiili());
				else
					ylarajaY=laskenta.annaSuurinKa()+ 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());

				alarajaY=pyoristaFloat(alarajaY,5);
				ylarajaY=pyoristaFloat(ylarajaY,5);
				if (alarajaY==ylarajaY)
				{
					alarajaY-=1;
					ylarajaY+=1;
				}			

			} else
			{
				alarajaY=laskenta.annaPieninKa()- 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				ylarajaY=laskenta.annaSuurinKa()+ 0.05f*(laskenta.annaSuurinKa()-
					laskenta.annaPieninKa());
				alarajaY=pyoristaFloat(alarajaY,5);
				ylarajaY=pyoristaFloat(ylarajaY,5);
				if (alarajaY==ylarajaY)
				{
					alarajaY-=1;
					ylarajaY+=1;
				}
			}
			piirraAkselit();
		/* asetetaan y-jako uudelleen, muutetuilla rajoilla */
			laskenta.asetaYJako(korkeus-alaTila-ylaTila,alarajaY,ylarajaY);
			laskenta.laskeUudelleen(dhRiveja);
		}
		else	
	/* jos ei muutettu rajoja, niin piirretn tyhjennettyyn piirtoalueeseen */
		{
			tyhjennaPiirtoalue();
		}
		
		if (!paloina)	/* piirretn funktio */
		{
			skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
			skaalausY=skaalaa(alarajaY, ylarajaY,
				laskenta.annaKeskiarvo(0));
			x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
			y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));

			for (int i=1;i<pisteet; i++)
			{
				skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
				skaalausY=skaalaa(alarajaY, ylarajaY, laskenta.annaKeskiarvo(i));
				uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
				piirraViiva(x,y,uusiX,uusiY,Color.black);
				x=uusiX;
				y=uusiY;
			}
			if (kvantiilit)
			{
				skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
				skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
							laskenta.annaTarkkaYlakvantiili(0):
							laskenta.annaYlakvantiili(0)));
				x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		
				

				for (int i=1;i<pisteet; i++)
				{
					skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
					skaalausY=skaalaa(alarajaY, ylarajaY, (tarkat?
							laskenta.annaTarkkaYlakvantiili(i):
							laskenta.annaYlakvantiili(i)));
					uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
					uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
					piirraViiva(x,y,uusiX,uusiY,Color.blue);
					x=uusiX;
					y=uusiY;
				}
				if (alaKvantiili!=ylaKvantiili)
				{
					skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(0));
					skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
						laskenta.annaTarkkaAlakvantiili(0):
						laskenta.annaAlakvantiili(0)));
					x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
					y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		
						

					for (int i=1;i<pisteet; i++)
					{
						skaalausX=skaalaa(alarajaX, ylarajaX,laskenta.annaX(i));
						skaalausY=skaalaa(alarajaY, ylarajaY,(tarkat?
							laskenta.annaTarkkaAlakvantiili(i):
							laskenta.annaAlakvantiili(i)));
						uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
						uusiY=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));
						piirraViiva(x,y,uusiX,uusiY,Color.blue);
						x=uusiX;
						y=uusiY;
					}
				}
			}	
		} else	// piiretn paloina
		{
			palojenLkm=laskenta.annaPalaLkm();
			for (int i=0;i<palojenLkm;i++)
			{
				if (i==0) skaalausX=skaalaa(alarajaX, ylarajaX,alaMaaritys);
				else skaalausX=skaalaa(alarajaX, ylarajaX, 
					laskenta.annaMuutoskohdanKa(i-1));
				skaalausY=skaalaa(alarajaY, ylarajaY,
					laskenta.annaPalanKa(i));
				x=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
				y=korkeus-alaTila-(int)(skaalausY*(korkeus-(alaTila+ylaTila)));		

				if (i==palojenLkm-1) skaalausX=skaalaa(alarajaX, ylarajaX,ylaMaaritys);
				else skaalausX=skaalaa(alarajaX, ylarajaX, 
					laskenta.annaMuutoskohdanKa(i));
				uusiX=vasenTila+(int)(skaalausX*(leveys-(vasenTila+oikeaTila)));
			
				piirraViiva(x,y,uusiX,y,Color.black);
			}
		}		
	}
	/** asetetaan piirtotapa */
	public void piirraPaloina(boolean paloina)
	{
		this.paloina=paloina;
		if (paloina) kvantiilit=false;
	}
	/** asetetaan kvantiilien piirto */
	public void piirraKvantiilit(boolean piirra,float alaKvantiili, float
	ylaKvantiili)
	{
		kvantiilit=piirra;
		this.alaKvantiili=alaKvantiili;
		this.ylaKvantiili=ylaKvantiili;
	}
	/** asetetaan tarkkojen kvantiilien piirto ja lasketaan, jos tarpeen */ 	
	public void piirraTarkatKvantiilit(boolean piirra)
	{
		tarkat=piirra;
		if (tarkat)
		{
			laskenta.laskeKvantiilit(alaKvantiili,ylaKvantiili);
		}	

	}
	/** Katso Piirto -luokasta, ei tee tss mitn */
	protected void piirraKa() {}

	private Funktiolaskenta laskenta;
	private int pisteet;	/* laskentapisteiden lkm x -suunnassa */
	private boolean kvantiilit;
	private float alaKvantiili, ylaKvantiili;
	private float alaMaaritys, ylaMaaritys; // Mrittelyvli
	private boolean paloina=false; // Piirretn paloina=true tai funktiona
	private boolean tarkat=false;  
	private int palojenLkm=0;
}
