/** 	Kaaviopakkaus
	versio 1.0
	23.3.1998
    	
    	

*/
package kaavio;
import datanhallinta.*;
import laskenta.*;

/** Luokka YksimuuttujaTulostus hoitaa yhden muuttujan seurannan tulostuksen.
*/

public class YksimuuttujaTulostus
{
	/**kt:ta kytetn tulostuksen tallettamiseen*/
	public Kohdetiedosto kt;
	
	public YksimuuttujaTulostus(String tdstoNimi, boolean kaavio,
			Jaljityslaskenta laskenta, String muuttujannimi, int included, int
			skipped) 
	{
		try
		{	
			int apus=skipped;
			int apui=included;
			String otsake;
			kt = new Kohdetiedosto(tdstoNimi);		
			otsake = teeOtsake(kaavio, muuttujannimi);
			kt.kirjoitaRivi(otsake);
			int apu=laskenta.rivejaKaytetty();
			if (kaavio)
			{		
				laskenta.asetaRiviosoitin(-1);
				for(int i=0;i<apu;i++)
				{
					laskenta.siirraRiviosoitinta();
					kt.kirjoitaArvo(apus+i*apui+1);
					kt.kirjoitaMerkki(' ');
					kt.kirjoitaArvo(laskenta.annaY());
					kt.kirjoitaRivi("");
				}
			}
			else
			{
				kt.kirjoitaArvo(laskenta.annaKeskiarvo());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaMin());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaMax());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaVarianssi());
				kt.kirjoitaMerkki(' ');
				kt.kirjoitaArvo(laskenta.annaKeskihajonta());
				kt.kirjoitaRivi("");
			
			}
			kt.sulje();
		}catch(Exception e){/*Virhe IOssa!!!*/};
	}

/**teeOtsake palauttaa otsakkeen tulostiedostoa varten*/

	private String teeOtsake(boolean kaavio, String muuttuja)
	{
		if (kaavio)
		{
		return
		"#<header>\n#<attributes>row "+muuttuja+"</attributes>\n#</header>";
		}
		else
		{
		return "#<header>\n#<attributes>"+muuttuja+"_mean "+muuttuja+"_min "+
			muuttuja+"_max "+muuttuja+"_var "+muuttuja+"_stddev"+
				"</attributes>\n#</header>";
		
		//eli ka,min,max,varianssi ja hajonta
		}
			
	}
	
}
