 
import sunsoft.jws.visual.rt.base.*;
import sunsoft.jws.visual.rt.shadow.java.awt.*;
import java.awt.*;
import datanhallinta.*;

/** Hoitaa pikkunan tapahtumanksittelyn.
*/
public class JavistPaaikkuna extends Group 

{

	public  Thread t;
	public  static JavistPaaikkunaRoot gui;
	private Thread pollaaOtsaketta;//,pollaaUusiaRiveja; Totti kokeilee...
	private PollaaUusiaRiveja pollaaUusiaRiveja;
	private boolean luetaanOtsake=true;
  

  
//Tietorakenteita:
	int[] kentat;//Tll vlitetn datanhallinnalle karsittavien
               //kenttien numerot       
	public final int maxKaavioLkm = 50;
  
	public MainHelper[] jaljitysAuttajat = new MainHelper[maxKaavioLkm];
	public MainHelper[] jakaumaAuttajat = new MainHelper[maxKaavioLkm];
	public MainHelper[] korrelaatioAuttajat = new MainHelper[maxKaavioLkm];
	public MainHelper[] kaksiMuuttujaaAuttajat = new MainHelper[maxKaavioLkm];
	public MainHelper[] funktioAuttajat = new MainHelper[maxKaavioLkm]; 
  
	public SimulationTracing[] jaljitykset = new 
				SimulationTracing[maxKaavioLkm];  
	public ParameterDistribution[] jakaumat = new
  				ParameterDistribution[maxKaavioLkm];
	public AutoCorrelation[] korrelaatiot = new
  				AutoCorrelation[maxKaavioLkm];
	public TwoParameter[] kaksiMuuttujat = new
				TwoParameter[maxKaavioLkm];
	public PieceWise[] funktiot = new
				PieceWise[maxKaavioLkm];			
  
	public int kaavioitaAuki = 0;// Public, jotta pollaaUusiaRiveja saa tiedon haltuunsa
	public int jaljityksiaAuki=0;
	public int jakaumiaAuki=0;
	public int korrelaatioitaAuki=0;
	public int kaksiMuuttujiaAuki=0;
	public int funktioitaAuki=0;
	public int riveja=0;// datanhallinnan muistiin luettujen rivien mr
  
	public Datanhallinta dh;
	public boolean tiedostoAvattu=false;
	public String avattuTiedosto=null;
	public boolean otsakeLuettu=false;
  
// virhe ksittely
	public static int toimintaKoodi=0;// lopetetaanko ohjelman suoritus yms...

/**Standardivirheilmoitukset
*/
  	public static String[] ilmoitukset={
  		"          Input error!          ",
  		"          Data error!           ",
  		"         Header error!          ",
	 	"      Exit? Are you sure?       ",
	 	"      Choose an attribute!      ",
	 	"     Choose two attributes!     ",
	 	"      Choose a function!        ",
	 	"            No data!            ",
	 	"      No attributes chosen!     ",
	 	"         Out of memory!         "
	 	};
  
// virhe koodit

	public static final int SYOTE=0;
	public static final int DATA=1;
	public static final int OTSAKE=2;
	public static final int LOPETETAANKO=3;
	public static final int VALITSEYKSI=4;
	public static final int VALITSEKAKSI=5;
	public static final int VALITSEFUNKTIO=6;
	public static final int EIDATAA=7;
	public static final int EIATTRIBUUTTEJA=8;
 	public static final int MUISTI=9;
	
  
// toiminta koodit
  
	public static final int FOO=0;
	public static final int LOPETETAAN=1;
  
	public JavistPaaikkuna() 
	{
        
		addForwardedAttributes();
    
  	}
  
  
	/*public DialogShadow dialError;
	public DialogShadow dialMessage;
	public DialogShadow dialQuestion;
  	public LabelShadow lblErrorDown;
//Tm voi olla vr...T80
  	public LabelShadow lblErrorMiddle;
  	public LabelShadow lblErrorUp;
  	public LabelShadow lblMessageDown;
  	public LabelShadow lblMessageMiddle;
  	public LabelShadow lblMessageUp;
  	public LabelShadow lblQuestionDown;
  	public LabelShadow lblQuestionMiddle;
  	public LabelShadow lblQuestionUp;
  	*/
  

/**Tuo kyttjn nkyville virheilmoitusikkunan, jossa on standardivirheilmoituksen
lisksi alempi-String nkyvill.
*/
	public static void virheDialogi(int virheKoodi, int tKoodi,String alempi )
	{
		toimintaKoodi=tKoodi;
  		
  		gui.lblErrorMiddle.set("text",alempi);
  		gui.lblErrorUp.set("text",ilmoitukset[virheKoodi]);
 		gui.lblErrorDown.set("text","");
 
  		gui.dialError.show();  
	}
  
/**Tuo kyttjn nkyville virheilmoitusikkunan, jossa on
standardivirheilmoitus.
*/
	public static void virheDialogi(int virheKoodi, int tKoodi)
  	{		 		
  		toimintaKoodi=tKoodi;
  		
  		gui.lblErrorMiddle.set("text","");
  		gui.lblErrorUp.set("text",ilmoitukset[virheKoodi]);
 		gui.lblErrorDown.set("text","");
 
  		gui.dialError.show();		
  	} 
  	

	public void buttAboutJavistOkClick(Message msg, Event evt)
	{
		gui.dialAboutJavist.hide();
	} 
	
/**Tuo kyttjn nkyville kysymysdialogi-ikkunan. 
*/
	public static void kysymysDialogi(int virheKoodi,int tKoodi)
	{
  		toimintaKoodi=tKoodi;
  		
  		gui.lblQuestionDown.set("text","");
 		gui.lblQuestionMiddle.set("text","");
 		gui.lblQuestionUp.set("text",ilmoitukset[virheKoodi]);
  		gui.dialQuestion.show();		
	}
  
  /* Message-boxit */

/**Toiminta, kun kyttj vastaa kysymysdialogiin OK.
*/
	public void buttQuestionOkClick(Message msg, Event evt)
	{
  		switch (toimintaKoodi)
  		{
  			case LOPETETAAN:System.exit(1);
  		}
  	}
  
  
  
/**Toiminta, kun kyttj vastaa kysymysdialogiin Cancel.
*/
	public void buttQuestionCancelClick(Message msg, Event evt)
	{  	
		gui.dialQuestion.hide();
		toimintaKoodi=0;
  	}
  
  
  /* MESSAGE = CANCEL-nappula */
  public void buttMessageCancelClick(Message msg, Event evt){}

/**Toiminta, kun kyttj painaa virheilmoitusikkunan OK-nappulaa.
*/  
	public void buttErrorOkClick(Message msg, Event evt)
	{
  		gui.dialError.hide();
  		if(toimintaKoodi==LOPETETAAN)
  			System.exit(1);
	}
  
  
/**Kasvattaa riveja-muuttujan arvoa. Tm on omassa metodissaan synkronoinnin vuoksi.
*/  
  public synchronized void lisaa(int rivit)
  {
		riveja+=rivit;
  }  
  
  
  
/**Initoi rootin.
*/
	protected Root initRoot() 
	{	
    	gui = new JavistPaaikkunaRoot(this);	
	    addAttributeForward(gui.getMainChild());	    
	    return gui;
	}

	protected void initGroup() { }	
	
	protected void showGroup() { }	
	
	protected void hideGroup() { }	
	
/**Alustaa pikkunan tiedot.
*/  
   	protected void createGroup() 
   	{  
    	List list1 = (List)gui.list1.getBody();
    
	    dh=Datanhallinta.luoDatanhallinta();
    	  
	    pollaaUusiaRiveja=new PollaaUusiaRiveja(dh,this);
	    // Annetaan pollaaUusiaRiveja sikeelle viittaus thn olioon, jotta
	    // pollaaUusiaRiveja voi katsoa onko kaavioita auki
    
	    pollaaUusiaRiveja.start();
     
	    pollaaOtsaketta=new PollaaOtsaketta(dh, list1, this);
	    pollaaOtsaketta.start();
	    
	    gui.txtInclude.set("text",""+1);
	    gui.txtRemove.set("text",""+0);
	    gui.lblRowsRemoved.set("text","   "+0+"   ");    	
	    gui.lblRowIncluded.set("text","   "+1+"   ");
 		
 	/*	// virhe dialogien alustukset
 		gui.lblErrorDown.set("text","                         ");
  		gui.lblErrorMiddle.set("text","                         ");	
  		gui.lblErrorUp.set("text","                         ");	
  		gui.lblMessageDown.set("text","                         ");	
  		gui.lblMessageMiddle.set("text","                         ");	
  		gui.lblMessageUp.set("text","                         ");	
  		gui.lblQuestionDown.set("text","                         ");	
  		gui.lblQuestionMiddle.set("text","                         ");	
  		gui.lblQuestionUp.set("text","                         ");
    */
    
  	}

	protected void destroyGroup() { }
	protected void startGroup() { }
  	protected void stopGroup() { }

  	protected Object getOnGroup(String key) 
  	{
    	return super.getOnGroup(key);
  	}

  
  	protected void setOnGroup(String key, Object value) 
  	{
    	super.setOnGroup(key, value);
  	}
    
  	public boolean handleMessage(Message msg) 
  	{  
    	return super.handleMessage(msg);
  	}

  
  
  /* MENUT */
  
  	public void menuitemFileOpenClick(Message msg,Event evt)
  	{
  		buttOpenClick(msg,evt);  
  	}
  
  
  	public void menuitemFileSaveClick(Message msg,Event evt)
  	{
  		buttSaveClick(msg,evt);  
  	}
  
  	public void menuitemFileSaveAsClick(Message msg,Event evt)
  	{
  		buttSaveAsClick(msg,evt);  
  	}
  
  	public void menuitemFileExitClick(Message msg,Event evt)
  	{
  		buttExitClick(msg,evt);  		
  	}
  
  	public void menuitemGraphsAutocorrelationClick(Message msg,Event evt)
  	{
  		buttCorrelationClick(msg,evt);
  	}
  
  	public void menuitemGraphsSimulationTracingClick(Message msg,Event evt)
  	{	
  		buttSimulationTracingClick(msg,evt);
  	}
  
  	public void menuitemGraphsParameterDistributionClick(Message msg,Event evt)
  	{
  		buttParameterDistributionClick(msg,evt);  
  	}
  
  	public void menuitemGraphsTwoParameterVisualizationClick(Message msg, Event evt)
  	{
  		buttTwoParameterVisualizationClick(msg,evt);
  	}
  
  	public void menuitemGraphsPieceWiseClick(Message msg,Event evt)
  	{
  		buttPieceWiseConstantFunctionsClick(msg,evt);
    }
  
  	public void menuitemAboutJavistClick(Message msg,Event evt)
  	{
  		gui.dialAboutJavist.show();
  	}
  
   
  	public boolean handleEvent(Message msg, Event evt) 
  	{	 
    	if(evt.id!=java.awt.event.WindowEvent.WINDOW_CLOSING)
 			return super.handleEvent(msg, evt);
  		else
  			return true;  
  	}
  
  
/**Ky listan lpi ja merkkaa kaikki alkiot
*/
	public void buttSelectAllClick(Message msg,Event evt)
  	{
  		List lista=(List)gui.list1.getBody();
  		int j=lista.getItemCount();
  	
  		for(int i=0;i<j;i++)
  			if(!lista.isIndexSelected(i))
   				lista.select(i);  		  
  	}
  
/**Ky listan lpi ja poistaa kaikkien alkioiden merkinnt
*/
	public void buttClearAttributesClick(Message msg,Event evt)
  	{
  		List lista=(List)gui.list1.getBody();
  		int j=lista.getItemCount();
  		for(int i=0;i<j;i++)
  			if(lista.isIndexSelected(i))
   				lista.select(i);
    }
  
/** Toteuttaa kyttjn pikkunassa suorittaman karsinnan.
*/
  	public void buttSelectionOkClick(Message msg,Event evt) //Kyttj painaa karsinnan OK-nappia:
	{
		
 		if (!otsakeLuettu) 
			{
			virheDialogi(EIDATAA,FOO);
			return;		//Jos 
			}			//ei dataa.
 		
 		TextField txtAskel=(TextField)gui.txtInclude.getBody();
 		TextField txtPois=(TextField)gui.txtRemove.getBody();
 		String askelString;
 		String poisString;
 		int askel=1;
 		int pois=0;
 		boolean yliNollaValittu=false;
 		
 		List lista=(List)gui.list1.getBody();
 		int apu=dh.annaKenttienLkm();		   
		   
		int[] apukentat=new int[apu];	// taulukkoon merkataan listboksissa 
		   								// olevien parametrien indeksit
		 								// datanhallinnassa
		int j=0;//listboksin indeksi   
		for (int i=0;i<apu;i++)
		{									
			if(lista!=null && dh.onMuistissa(i))
				{	
					apukentat[j]=i;						
					j++;
				}				    

		}	

		for (int i=0;i<j;i++)
			if (lista.isIndexSelected(i))
			{
				apukentat[i]=-99; //merkitsee valitut
				yliNollaValittu=true;
			}
		if (!yliNollaValittu) 
			{
			virheDialogi(EIATTRIBUUTTEJA,FOO);
			return;		//Jos yhtn
			}			//kentt ei ole valittu.
		
		int lisaapu=0;
		for (int i=0;i<j;i++)
			if (apukentat[i]!=-99) lisaapu++;
			
		kentat=new int[lisaapu];	//kentat:iin tulee poistettavat
		lisaapu=0;
		for(int i=0;i<j;i++)
			if (apukentat[i]!=-99)
				{
					kentat[lisaapu]=apukentat[i];					
					lisaapu++;
				}
		for(int i=j-1;i>=0;i--)
			if (apukentat[i]!=-99)
				lista.remove(i);

				
	   	for(int i=0;i<jaljityksiaAuki;i++)
	 		jaljitykset[i].pysayta();//pysayta palauttaa kontrollin heti
	    for(int i=0;i<jakaumiaAuki;i++)
	       	jakaumat[i].pysayta();//pysayta palauttaa kontrollin heti
	  	for(int i=0;i<korrelaatioitaAuki;i++)
	      	korrelaatiot[i].pysayta();//pysayta palauttaa kontrollin heti
	 	for(int i=0;i<kaksiMuuttujiaAuki;i++)
	     	kaksiMuuttujat[i].pysayta();//pysayta palauttaa kontrollin heti
	  	for(int i=0;i<funktioitaAuki;i++)
	   	  	funktiot[i].pysayta();//pysayta palauttaa kontrollin heti


	  	for(int i=0;i<jaljityksiaAuki;i++)
	     	jaljitykset[i].odota();//palauttaa kontrollin pyshdyttyn 
		for(int i=0;i<jakaumiaAuki;i++)
	     	jakaumat[i].odota();//palauttaa kontrollin pyshdyttyn 
	 	for(int i=0;i<korrelaatioitaAuki;i++)
	     	korrelaatiot[i].odota();//palauttaa kontrollin pyshdyttyn 
	 	for(int i=0;i<kaksiMuuttujiaAuki;i++)
	    	kaksiMuuttujat[i].odota();//palauttaa kontrollin pyshdyttyn 
   		for(int i=0;i<funktioitaAuki;i++)
	     	funktiot[i].odota();//palauttaa kontrollin pyshdyttyn 
          
	 	dh.karsiKentat(kentat);

		poisString=txtPois.getText();
		askelString=txtAskel.getText();
				
		txtPois.setText(""+0);
		txtAskel.setText(""+1);
				
		try
		{
			pois=Integer.parseInt(poisString);
		}		
	   	catch(NumberFormatException e)
	    {
	      	virheDialogi(SYOTE,FOO);
	      	pois=0;
	      	askel=1;
	   	}  
				        
	   	try
		{
			askel=Integer.parseInt(askelString);
		}		
	   	catch(NumberFormatException e)
	   	{
	      		virheDialogi(SYOTE,FOO);
	      		pois=0;
	      		askel=1;	
	  	}
	  	
	   	pollaaUusiaRiveja.suspendaa();
		    
	  	if (lisaapu>0) 		//Kentti karsittu ainakin yksi
		{
	     	for(int i=0;i<jaljityksiaAuki;i++)
	          	jaljitykset[i].tarkistaKentat();
	     	for(int i=0;i<jakaumiaAuki;i++)
	         	jakaumat[i].tarkistaKentat();
	        for(int i=0;i<korrelaatioitaAuki;i++)
	         	korrelaatiot[i].tarkistaKentat();
	       	for(int i=0;i<kaksiMuuttujiaAuki;i++)
	       		kaksiMuuttujat[i].tarkistaKentat();
	     	for(int i=0;i<funktioitaAuki;i++)
	        	funktiot[i].tarkistaKentat();
		}       
	        		
	   	if (pois>0 || askel>1)
	  	{
			pollaaUusiaRiveja.nollaaUudetRivit();
		   	riveja = dh.karsiRivit(pois, askel);   
	        		
	 		for(int i=0;i<jaljityksiaAuki;i++)
	      		jaljitykset[i].rivitMuuttuneet(riveja,
	                                		dh.absKarsittuAlusta(),
	                                		dh.absKarsintaAskel());
	      	for(int i=0;i<jakaumiaAuki;i++)
	         	jakaumat[i].rivitMuuttuneet(riveja,
	                                		dh.absKarsittuAlusta(),
	                                		dh.absKarsintaAskel());
	   		for(int i=0;i<korrelaatioitaAuki;i++)
	        	korrelaatiot[i].rivitMuuttuneet(riveja,
	                                		dh.absKarsittuAlusta(),
	                                		dh.absKarsintaAskel());
	    	for(int i=0;i<kaksiMuuttujiaAuki;i++)
	        	kaksiMuuttujat[i].rivitMuuttuneet(riveja,
	                                		dh.absKarsittuAlusta(),
	                                		dh.absKarsintaAskel());
	      	for(int i=0;i<funktioitaAuki;i++)
	        	funktiot[i].rivitMuuttuneet(riveja,
	                                		dh.absKarsittuAlusta(),
	                                		dh.absKarsintaAskel());

		}

		//Kynnistetn pyshtyneet kaaviot.
		
		for(int i=0;i<jaljityksiaAuki;i++)
	     	jaljitykset[i].jatka(); 
		for(int i=0;i<jakaumiaAuki;i++)
	     	jakaumat[i].jatka();
	 	for(int i=0;i<korrelaatioitaAuki;i++)
	     	korrelaatiot[i].jatka();
	 	for(int i=0;i<kaksiMuuttujiaAuki;i++)
	    	kaksiMuuttujat[i].jatka();
   		for(int i=0;i<funktioitaAuki;i++)
	     	funktiot[i].jatka();
    	
 		pollaaUusiaRiveja.resumoi();
		
    	//Sitten vain haetaan karsitut tiedot kytten datanhallinan
        //metodeita ja kirjoitetaan ne listboxiin ja textboxeihin
         
  		gui.lblRowsRemoved.set("text",""+dh.absKarsittuAlusta());    	
    	gui.lblRowIncluded.set("text",""+dh.absKarsintaAskel());

  	}

/**Poistaa rivikarsintakenttien sislln.
*/
	public void buttClearRowsClick(Message msg,Event evt)
	{
 	 	TextField txtAskel=(TextField)gui.txtInclude.getBody();
 		TextField txtPois=(TextField)gui.txtRemove.getBody();
		txtAskel.setText(""+1);
		txtPois.setText(""+0); 
  	}

	public void txtIncludeEnter(Message msg,Event evt){};
	public void txtRemoveEnter(Message msg,Event evt){};

/**Avaa Autokorrelaatio-ikkunan.
*/ 
	public void buttCorrelationClick(Message msg,Event evt)
  	{
  	 	if(otsakeLuettu)
  	 	{
  	 		String args[]=new String[0];
	 		pollaaUusiaRiveja.suspendaa();  	
    		korrelaatioAuttajat[korrelaatioitaAuki] = new MainHelper();	
    		korrelaatioAuttajat[korrelaatioitaAuki].checkVersion(1.0);	
    		korrelaatiot[korrelaatioitaAuki]= new AutoCorrelation(this,riveja);	
    		korrelaatioAuttajat[korrelaatioitaAuki].main(korrelaatiot[korrelaatioitaAuki], args);
    		kaavioitaAuki++;
    		korrelaatioitaAuki++; 	
	 		pollaaUusiaRiveja.resumoi();  
  		}
  		else
  			virheDialogi(EIDATAA,FOO);
  	}

/**Avaa Simulaationjljitys-ikkunan.
*/ 
	public void buttSimulationTracingClick(Message msg,Event evt)
  	{
  	 	if(otsakeLuettu)
  	 	{
  	 		String args[]=new String[0];
	 		pollaaUusiaRiveja.suspendaa(); 
    		jaljitysAuttajat[jaljityksiaAuki] = new MainHelper();	
    		jaljitysAuttajat[jaljityksiaAuki].checkVersion(1.0);	
    		jaljitykset[jaljityksiaAuki]= new SimulationTracing(this,riveja);	
    		jaljitysAuttajat[jaljityksiaAuki].main(jaljitykset[jaljityksiaAuki], args);
    		kaavioitaAuki++;
    		jaljityksiaAuki++; 	
	 		pollaaUusiaRiveja.resumoi();  
  	 	}
  	 	else
  	 		virheDialogi(EIDATAA,FOO);
  	}  

/**Avaa Histogrammi-ikkunan.
*/ 
  	public void buttParameterDistributionClick(Message msg,Event evt)
  	{
  	 	if(otsakeLuettu)
  	 	{
  	 		String args[]=new String[0];
	 		pollaaUusiaRiveja.suspendaa();  	
	 		jakaumaAuttajat[jakaumiaAuki] = new MainHelper();	
        	jakaumaAuttajat[jakaumiaAuki].checkVersion(1.0);	
    		jakaumat[jakaumiaAuki]= new ParameterDistribution(this,riveja);	
    		jakaumaAuttajat[jakaumiaAuki].main(jakaumat[jakaumiaAuki], args);
    		kaavioitaAuki++;
    		jakaumiaAuki++; 	
	 		pollaaUusiaRiveja.resumoi();  
  		}	
  		else
  			virheDialogi(EIDATAA,FOO);
  	}
  
/**Avaa Kahden parametrin seuranta -ikkunan.
*/ 
  	public void buttTwoParameterVisualizationClick(Message msg,Event evt)
  	{
  	 	if(otsakeLuettu)
  	 	{
  	 		String args[]=new String[0];
	 		pollaaUusiaRiveja.suspendaa();  	
    		kaksiMuuttujaaAuttajat[kaksiMuuttujiaAuki] = new MainHelper();	
    		kaksiMuuttujaaAuttajat[kaksiMuuttujiaAuki].checkVersion(1.0);	
    		kaksiMuuttujat[kaksiMuuttujiaAuki]= new TwoParameter(this,riveja);	
    		kaksiMuuttujaaAuttajat[kaksiMuuttujiaAuki].main(kaksiMuuttujat[kaksiMuuttujiaAuki], args);
    		kaavioitaAuki++;
    		kaksiMuuttujiaAuki++; 	
	 		pollaaUusiaRiveja.resumoi();  
  	 	}
  	 	else
  	 		virheDialogi(EIDATAA,FOO);
  	}

/**Avaa Paloittain vakio -ikkunan.
*/ 
	public void buttPieceWiseConstantFunctionsClick(Message msg,Event evt)
	{
  	 	if(otsakeLuettu)
  	 	{
  	 		String args[]=new String[0];
	 		pollaaUusiaRiveja.suspendaa(); 
    		funktioAuttajat[funktioitaAuki] = new MainHelper();	
    		funktioAuttajat[funktioitaAuki].checkVersion(1.0);	
    		funktiot[funktioitaAuki]= new PieceWise(this,riveja);	
    		funktioAuttajat[funktioitaAuki].main(funktiot[funktioitaAuki], args);
    		kaavioitaAuki++;
    		funktioitaAuki++; 	
	 		pollaaUusiaRiveja.resumoi();  
  	 	}
  	 	else
  	 		virheDialogi(EIDATAA,FOO);
  	}
  
/**Kysyy kyttjlt mik tiedosto avataan datalhteeksi ja tappaa aukiolevat kaaviot.
*/
  	public void buttOpenClick(Message msg,Event evt)
  	{
  		String dir="";
  		String file="";
  		List list1 = (List)gui.list1.getBody();
  		gui.filedialog1.set("title","Open");
  		gui.filedialog1.show();
  		FileDialog apu=(FileDialog)gui.filedialog1.getBody();
  		apu.setMode(FileDialog.LOAD);
  		dir = (String)gui.filedialog1.get("directory");
  		file = (String)gui.filedialog1.get("file");  
  	
  		if(file!=null)
  		{					
			while(jaljityksiaAuki!=0)
				tapaMut(jaljitykset[0]);
			while(jakaumiaAuki!=0)
				tapaMut(jakaumat[0]);
			while(korrelaatioitaAuki!=0)
				tapaMut(korrelaatiot[0]);	
			while(kaksiMuuttujiaAuki!=0)
				tapaMut(kaksiMuuttujat[0]);	
			while(funktioitaAuki!=0)
	    		tapaMut(funktiot[0]);	
			
			//seuraava vain varmistus
			kaavioitaAuki=0;
			gui.lblRowsRemoved.set("text",""+0);    	
    		gui.lblRowIncluded.set("text",""+1);

			if (dh != null)
			{
				pollaaUusiaRiveja.stop();
				pollaaOtsaketta.stop();
				
				try
				{
					pollaaUusiaRiveja.join();
					pollaaOtsaketta.join();			
				}
				catch (Exception e)
				{
					System.out.println("Join ei onnistunut! "+e);
					System.exit(1);
				}
				try
				{ 
					Datanhallinta.tuhoaDatanhallinta(); 
				}
				catch (Exception e)
				{ 
					System.out.println("tuhoaDatanhallinta heitti poikkeuksen"); 
				}
			}
			dh=Datanhallinta.luoDatanhallinta();
			riveja=0;
			pollaaUusiaRiveja=new PollaaUusiaRiveja(dh, this);
			pollaaOtsaketta=new PollaaOtsaketta(dh,list1,dir+file,this);
			pollaaUusiaRiveja.start();
			pollaaOtsaketta.start();
		}
  	}
  
/** Jos tiedosto on avattu (ei putki)
  	aloitetaan talletus avattuun tiedostoon,
  	muuten avataan Save as -ikkuna.
*/
  	public void buttSaveClick(Message msg,Event evt)
  	{	    	 
  	  	if(tiedostoAvattu&&avattuTiedosto!=null)
  	  		try
	  		{
	  	  		dh.aloitaTalletus(avattuTiedosto);
  	  		}
  	  		catch(Exception e)
  	  		{
  	  			virheDialogi(DATA,LOPETETAAN,"unknown error");
  	  		}
  		else
  			buttSaveAsClick(msg,evt);
  	}	  	
  	  
/** Aloitetaan talletus kyttjn valitsemaan tiedostoon.
*/
	public void buttSaveAsClick(Message msg,Event evt)
	{
	  	if(tiedostoAvattu)
	  	{	
	  		String dir="";
	  		String file="";
	  		List list1 = (List)gui.list1.getBody();
  	  
     		gui.filedialog1.set("title","Save as");
     		gui.filedialog1.show();
  	  		FileDialog apu=(FileDialog)gui.filedialog1.getBody();
  	  		apu.setMode(FileDialog.SAVE);
  	  	
     		dir = (String)gui.filedialog1.get("directory");
     		file = (String)gui.filedialog1.get("file");   
	 
	  		if(file!=null)
	  		{
	  	  		try
	  	  		{
	  	  			dh.aloitaTalletus(dir+file);
  	  			}
  	  			catch(Exception e)
  	  			{
  	  				virheDialogi(DATA,LOPETETAAN,"unknown error");
  	  			}
  	  		}
  		}
  	}

/**Kysytn varmistus ja lopetetaan ohjelma.
*/
  	public void buttExitClick(Message msg,Event evt)
  	{
  		kysymysDialogi(LOPETETAANKO,LOPETETAAN);  		
  	}
  
/**Lhett kyttjn kirjoittaman etsittvn Stringin etsi-metodille.
*/
  	public void txtSelectEnter(Message msg,Event evt)
  	{
  		String etsittava;
  	  	
		TextField txt=(TextField)gui.txtSelect.getBody();
		etsittava=txt.getText();
		etsi(etsittava);	  
  		gui.txtSelect.set("text","");
  	}  

/** 	Metodi tapaMut(SimulationTracing kuoleva) 
		saa parametrina SimulationTracing-olion, jonka se poistaa
		jaljitykset-taulukosta.
*/	
	public void tapaMut(SimulationTracing kuoleva)
	{
		int apu=-99;
		for (int i=0;i<jaljityksiaAuki;i++)
			if (jaljitykset[i]==kuoleva)
			{
				apu=i;
				break;
			}
		if (apu==-99)
		{
			System.out.println("tapaMut mtt!!!");
			exit(1);
		}
		else
		{		
			kuoleva.gui.dialog2.hide();// settings dialogi
	  		kuoleva.gui.dialog1.hide();// funktio dialogi
	  		kuoleva.gui.frame1.hide();//graph view
	  		
			jaljitykset[apu]=null;
			for(int i=apu;i<(jaljityksiaAuki-1);i++)
				jaljitykset[i]=jaljitykset[i+1];
			jaljitykset[jaljityksiaAuki-1]=null;
			jaljityksiaAuki--;
			kaavioitaAuki--;
		}	
	}

/** 	Metodi tapaMut(ParameterDistribution) saa 
		parametrina ParameterDistibution-olion, jonka se poistaa
		jakaumat-taulukosta.
*/	

	public void tapaMut(ParameterDistribution kuoleva)
	{
			
		int apu=-99;
		for (int i=0;i<jakaumiaAuki;i++)
			if (jakaumat[i]==kuoleva)
			{
				apu=i;
				break;
			}
		if (apu==-99)
		{
			System.out.println("tapaMut mtt!!!");
			exit(1);
		}
		else
		{
			kuoleva.gui.dialParameterDistributionSettings.hide();// settings dialogi
	  		kuoleva.gui.dialParameterDistributionSelections.hide();// funktio dialogi
	  		kuoleva.gui.frameParameterDistribution.hide();//graph view
	
			jakaumat[apu]=null;
			for(int i=apu;i<(jakaumiaAuki-1);i++)
				jakaumat[i]=jakaumat[i+1];
			jakaumat[jakaumiaAuki-1]=null;
			jakaumiaAuki--;
			kaavioitaAuki--;
		}
		
	}

/** 	Metodi tapaMut(AutoCorrelation) saa 
		parametrina AutoCorrelation-olion, jonka se poistaa
		korrelaatiot-taulukosta.
*/	

	public void tapaMut(AutoCorrelation kuoleva)
	{
		int apu=-99;
		for (int i=0;i<korrelaatioitaAuki;i++)
			if (korrelaatiot[i]==kuoleva)
			{
				apu=i;
				break;
			}
		if (apu==-99)
		{
			System.out.println("tapaMut mtt!!!");
			exit(1);
		}
		else
		{
			kuoleva.gui.dialAutoCorrelationSettings.hide();// settings dialogi
  			kuoleva.gui.dialAutoCorrelationSelections.hide();// funktio dialogi
  			kuoleva.gui.frameAutoCorrelation.hide();//graph view

			korrelaatiot[apu]=null;
			for(int i=apu;i<(korrelaatioitaAuki-1);i++)
				korrelaatiot[i]=korrelaatiot[i+1];
			korrelaatiot[korrelaatioitaAuki-1]=null;
			korrelaatioitaAuki--;
			kaavioitaAuki--;
		}
		
	}

/** 	Metodi tapaMut(TwoParameter) saa 
		parametrina TwoParameter-olion, jonka se poistaa
		kaksiMuuttujat-taulukosta.
*/	


	public void tapaMut(TwoParameter kuoleva)
	{
		int apu=-99;
		for (int i=0;i<kaksiMuuttujiaAuki;i++)
			if (kaksiMuuttujat[i]==kuoleva)
			{
				apu=i;
				break;
			}
		if (apu==-99)
		{
			System.out.println("tapaMut mtt!!!");
			exit(1);
		}
		else
		{
			kuoleva.gui.dialTwoParameterSettings.hide();// settings dialogi
	  		kuoleva.gui.dialPieceWiseSelections.hide();// funktio dialogi
	  		kuoleva.gui.frameTwoParameter.hide();//graph view
		
			kaksiMuuttujat[apu]=null;
			for(int i=apu;i<(kaksiMuuttujiaAuki-1);i++)
				kaksiMuuttujat[i]=kaksiMuuttujat[i+1];
			kaksiMuuttujat[kaksiMuuttujiaAuki-1]=null;
			kaksiMuuttujiaAuki--;
			kaavioitaAuki--;
		}		
	}

/** 	Metodi tapaMut(PieceWise kuoleva) 
		saa parametrina PieceWise-olion, jonka se poistaa
		funktiot-taulukosta.
*/	
	public void tapaMut(PieceWise kuoleva)
	{
		int apu=-99;
		for (int i=0;i<funktioitaAuki;i++)
			if (funktiot[i]==kuoleva)
			{
				apu=i;
				break;
			}
		if (apu==-99)
		{
			System.out.println("tapaMut mtt!!!");
			exit(1);
		}
		else
		{
			kuoleva.gui.dialPieceWiseSettings.hide();// settings dialogi	  	
	  		kuoleva.gui.framePieceWise.hide();//graph view
		
			funktiot[apu]=null;
			for(int i=apu;i<(funktioitaAuki-1);i++)
				funktiot[i]=funktiot[i+1];
			funktiot[funktioitaAuki-1]=null;
			funktioitaAuki--;
			kaavioitaAuki--;
		}		
	}

/** Vertaa-metodissa p on filtteri, joka voi sislt jokerimerkkej * ja ?
 	palauttaa true, jos mjono q kuuluu p:n mrittelemn kieleen.
*/
	private  boolean vertaa(String p, String q)
	{
		int i = 0, j = 0, paluui = -1, paluuj = -1;
		while (true)
			if (i == p.length())
				if (j == q.length()) return true;
				else { i = paluui; j = paluuj++; if (i == -1) return false; }
			else if (p.charAt(i) == '*') { paluui = ++i; paluuj = j; }
			else if (j == q.length()) return false;
			else if ((p.charAt(i) == '?') || (p.charAt(i) == q.charAt(j))) { i++; j++; }
			else { i = paluui; j = paluuj++; if (i == -1) return false; }
	}

/**
Metodi etsi etsii etsittavan.
*/
	public void etsi(String etsittava)
	{
		String[] tutkittavat;
		List lista=(List)gui.list1.getBody();
		tutkittavat=lista.getItems();
		for(int i=0;i<tutkittavat.length;i++)
		{
			if(vertaa(etsittava,tutkittavat[i]))
				if(!lista.isIndexSelected(i))
                        	lista.select(i);
   		}
 	} 			

}//Luokan loppu.
