/**Sie PollaaUusiaRiveja hakee DatanHallinnalta tiedon saapuneista uusista
riveist.
*/
import sunsoft.jws.visual.rt.base.*;
import sunsoft.jws.visual.rt.shadow.java.awt.*;
import datanhallinta.*;
        
public class PollaaUusiaRiveja extends Thread {
		
	private Datanhallinta dh;
	private JavistPaaikkuna kontrolli;           
    
	/**Synkronointia varten.*/
	private boolean pysahtymassa = false;
	/**Synkronointia varten.*/           
	private boolean kriittisessa = false; 
    private int uusiaRiveja;
    public boolean pysahtynyt = false;
    
	public PollaaUusiaRiveja(Datanhallinta dh, JavistPaaikkuna kontrolli)
	{
		this.dh=dh;
		this.kontrolli=kontrolli;// Saa parametrina viittauksen kontrolliin, 
				 //jotta psee ksiksi muuttujaan kaavioitaAuki 
		
		pysahtymassa=false;	
		kriittisessa=false;
	}
	
	public void run() 
	{
		Thread.currentThread().setPriority(Thread.MIN_PRIORITY);
	
		while (true)  
		{	
	    	//Nukutaan hiukan, jotta annettaisiin ksiteltvksi 
	    	//sopivan kokoisia rivimri.
			try
			{ sleep(200);}
			catch(Exception e)
			{ System.out.println("PollaaUusiaRiveja.run 1:SLEEPVIRHE");}
			
			uusiaRiveja = dh.uusiaRiveja();

			pysaytyskohta();
			kontrolli.lisaa(uusiaRiveja);// lis kokonaisrivien mr
		    
			if ((uusiaRiveja > 0) && (kontrolli.kaavioitaAuki > 0))
			{
				for(int i=0; i<kontrolli.jaljityksiaAuki;i++)
		   		{ 	    
		 			kontrolli.jaljitykset[i].tullutUusiaRiveja(uusiaRiveja);
	  			}
				for(int i=0;i<kontrolli.jakaumiaAuki;i++)
				{ 	  	  	  
		   			kontrolli.jakaumat[i].tullutUusiaRiveja(uusiaRiveja);
				}
				for(int i=0;i<kontrolli.korrelaatioitaAuki;i++)
				{	 	    
	    			kontrolli.korrelaatiot[i].tullutUusiaRiveja(uusiaRiveja);
				}
				for(int i=0;i<kontrolli.kaksiMuuttujiaAuki;i++)
	   			{	 	  	  
	    			kontrolli.kaksiMuuttujat[i].tullutUusiaRiveja(uusiaRiveja);
				}					    
				for(int i=0;i<kontrolli.funktioitaAuki;i++)
		   		{ 	  		    	  	  
		  			kontrolli.funktiot[i].tullutUusiaRiveja(uusiaRiveja);
				}					    
			}
		}//while(true)
	}// void run
    
    
/** Metodi resumoi korvaa javan resumen, joka aiheuttaa helposti
synkronointiongelmia. */

	public synchronized void resumoi()
	{
		dh.normalisoi();
		notify();
		pysahtymassa = false;
		pysahtynyt = false; //debug
	}

/** Metodi suspendaa korvaa javan suspendin, joka aiheuttaa helposti
synkronointiongelmia. */

	public synchronized void suspendaa()
	{
		pysahtymassa = true;
		dh.vapautaOdotus();
		try { wait(); } catch(Exception e)
		{ System.out.println("suspendaa:wait  "+e); System.exit(1); }
	}
	
	public synchronized void pysaytyskohta()
	{
		if (pysahtymassa)
		{
			notify();
			pysahtynyt = true; //debug
			try { wait(); } catch(Exception e)
			{ System.out.println("pysaytyskohta:wait  "+e); System.exit(1); }
		}
	}
/**
*/
	public void nollaaUudetRivit()
	{
		uusiaRiveja = 0;
	}
}

	

