package laskenta;
/**KiinteaKertymataulu periytyy abstraktista yliluokasta Kertymataulu. Sit kytetn
*Jakaumalaskenta-luokassa histogrammipylviden kertymien ja kvantiilien laskemiseen.*/
class KiinteaKertymataulu extends Kertymataulu
{
/**Konstruktori saa parametrina taulukon koon ja laskettavien kvantiilien lukumrn*/
	protected KiinteaKertymataulu(int koko,int kvantiililkm)
	{
		super(kvantiililkm);
		taulu = new int[koko];
		for (int i = 0; i < koko; i++) taulu[i] = 0;
	}

	protected int annaArvo(int p) { return taulu[p]; }
	protected void asetaArvo(int p,int x) { taulu[p] = x; }
	protected void kasvataArvoa(int p) { taulu[p]++; }
	
	private int[] taulu;
}


