package laskenta;
/**MaxKeko periytyy abstraktista yliluokasta Keko. Sit kytetn Jakaumalaskenta-
*luokassa tarkkojen kvantiilien laskemiseen. Keon alkiot ovat float-tyyppi ja keon huipulla
*on suurin arvo.*/
class MaxKeko extends Keko
{
/**Konstruktori saa parametrina keon koon*/
	protected MaxKeko(int k)
	{
		super(k);
		taulu = new float[k+1];
	}

	protected boolean vertaa(int isa,int poika) { return taulu[isa] < taulu[poika]; }
	
	protected void vaihda(int p,int q)
	{ float t = taulu[p]; taulu[p] = taulu[q]; taulu[q] = t; }

/**Lis kekoon uuden arvon x ja pivitt kekojrjestyksen*/
	protected void lisaa(float x)
	{ int solmu = varaaUusi(); taulu[solmu] = x; paivitaYlos(solmu); }

/**Palauttaa keon suurimman arvon*/
	protected float annaMax() { return taulu[1]; }

/**Korvaa keon huipulla olevan arvon x:ll ja pivitt kekojrjestyksen*/
	protected void korvaaMax(float x) { taulu[1] = x; paivitaAlas(1); }

	private float[] taulu;
}


